> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook delivery stats



## OpenAPI

````yaml /openapi.json get /api/v1/workspace/webhooks/{webhook_id}/stats
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/workspace/webhooks/{webhook_id}/stats:
    get:
      tags:
        - Webhooks
      summary: Get webhook delivery stats
      operationId: webhook_stats_api_v1_workspace_webhooks__webhook_id__stats_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookStatsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookStatsResponse:
      properties:
        total:
          type: integer
          title: Total
        success_count:
          type: integer
          title: Success Count
        failed_count:
          type: integer
          title: Failed Count
        success_rate:
          type: number
          title: Success Rate
        avg_duration_ms:
          type: integer
          title: Avg Duration Ms
        max_duration_ms:
          type: integer
          title: Max Duration Ms
        last_delivery_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Delivery At
      type: object
      required:
        - total
        - success_count
        - failed_count
        - success_rate
        - avg_duration_ms
        - max_duration_ms
      title: WebhookStatsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````